Package de.willuhn.jameica.hbci.gui.chart

# Interface Chart<T extends ChartData>

Type Parameters:
  `T` - der Typ der Chartdaten.

All Superinterfaces:
  `de.willuhn.jameica.gui.Part`

All Known Implementing Classes:
  `AbstractChart`, `BarChart`, `LineChart`, `VergleichBarChart`

public interface Chart<T extends ChartData> extends de.willuhn.jameica.gui.Part
Basis-Interface fuer ein Chart.

## Method Summary

Modifier and Type
Method
Description
`void`
`addData(T data)`
Fuegt dem Chart eine Datenreihe hinzu,
`void`
`addFeature(ChartFeature feature)`
Fuegt ein Feature hinzu.
`org.eclipse.swtchart.Chart`
`getChart()`
Liefert das eigentliche SWT-Chart-Objekt.
`String`
`getTitle()`
Liefert den Titel des Charts.
`void`
`redraw()`
Zeichnet das Chart neu.
`void`
`removeAllData()`
Entfernt alle Datenreihen.
`void`
`removeData(T data)`
Entfernt eine Datenreihe aus dem Chart.
`void`
`removeFeature(ChartFeature feature)`
Entfernt das Feature.
`void`
`setTitle(String title)`
Speichert den Titel des Charts.

### Methods inherited from interface de.willuhn.jameica.gui.Part

`paint`

## Method Details

### setTitle

void setTitle(String title)
Speichert den Titel des Charts.

Parameters:
  `title` - Titel.

### getTitle

String getTitle()
Liefert den Titel des Charts.

Returns:
  Titel.

### addData

void addData(T data)
Fuegt dem Chart eine Datenreihe hinzu,

Parameters:
  `data` -

### removeData

void removeData(T data)
Entfernt eine Datenreihe aus dem Chart.

Parameters:
  `data` -

### removeAllData

void removeAllData()
Entfernt alle Datenreihen.

### redraw

void redraw() throws RemoteException
Zeichnet das Chart neu. Ist eigentlich nur noetig, wenn sich die Daten tatsaechlich geaendert haben.

Throws:
  `RemoteException`

### getChart

org.eclipse.swtchart.Chart getChart()
Liefert das eigentliche SWT-Chart-Objekt.

Returns:
  das eigentliche SWT-Chart-Objekt.

### addFeature

void addFeature(ChartFeature feature)
Fuegt ein Feature hinzu.

Parameters:
  `feature` - das Feature.

### removeFeature

void removeFeature(ChartFeature feature)
Entfernt das Feature.

Parameters:
  `feature` - das zu entfernende Feature.